Drill Support Matrix

This matrix shows the interoperability between Drill and other ecosystem products.

For MapR Converged Data Platform releases beyond 5.1, you may also want to view MEP Components and OS Support.
Compatible Product Version Drill 1.0 Drill 1.1 Drill 1.2 Drill 1.3 dev preview Drill 1.4 Drill 1.5 dev preview Drill 1.6 Drill 1.7 dev preview Drill 1.8 Drill 1.9 Drill 1.10
MapR 4.x, 3.1.1 5.0, 4.x, 3.1.1 5.x, 4.x, 3.1.1 5.x, 4.x, 3.1.1 5.x, 4.x, 3.1.1 5.x, 4.x, 3.1.1 5.x, 4.x, 3.1.1 5.x, 4.x, 3.1.1 5.x, 4.x, 3.1.1 5.x, 4.x, 3.1.1 5.x
YARN   No No No No No No No No Yes1 Yes1 Yes1
JDK 6 No No No No No No No No No No No
7 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
8 No No No No No No Yes Yes Yes Yes Yes
Hive 12 No No No No No No No No No No No
13 Yes No Yes Yes Yes Yes Yes Yes Yes Yes No
1.0 No Yes Yes Yes Yes Yes Yes Yes Yes Yes No
1.2.1 No Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
HBase 0.94.17, 0.94.21, 0.94.24 No No No No No No No No No No No
0.98.7, 0.98.9 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
0.98.12 No Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
1.1 No No No Yes Yes Yes Yes Yes Yes Yes Yes
Note: As of the 1703 release of Drill 1.9 and 1.10, you can install Drill on RHEL, CentOS, Ubuntu, and SUSE (with Open JDK 1.8 and Oracle JDK 1.7 or 1.8). Previous releases of Drill supported RHEL, CentOS, and Ubuntu platforms only.

1 Drill running under YARN is supported on the MapR Converged Data Platform version 5.1 and 5.2 only.

Change Control Notes

  • This matrix was updated April, 2017 (Drill 1.10-1703)
  • This matrix was updated on December 7, 2016 (Drill 1.9-1611)
  • This matrix was updated on September 29, 2016 (Drill 1.8-1609)
  • This matrix was updated on September 12, 2016 (Drill 1.8)
  • This matrix was updated on April 1, 2016 (Drill 1.6)
  • This matrix was updated on February 28, 2016 (Drill 1.5)
  • This matrix was updated on Jan 20, 2016 (Drill 0.x removed).
  • This matrix was updated on Jan 12, 2016 (Drill 1.3, 1.4).